#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2700six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 2700"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six27004xi


# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six27004xi = {
                1:'-1046x1384y-2068z',
                2:'-1050x2325y-882z',
                3:'-1085x2325y-837z',
                4:'-1103x1311y-2085z',
                5:'-1156x1236y-2102z',
                6:'-1166x2259y-907z',
                7:'-1202x2258y-863z',
                8:'-1204x1159y-2119z',
                9:'-1247x1081y-2136z',
                10:'-1278x2187y-932z',
                11:'-1285x1001y-2152z',
                12:'-1314x2184y-889z',
                13:'-1318x920y-2169z',
                14:'-1346x838y-2185z',
                15:'-134x1062y-2478z',
                16:'-1359x45y-2332z',
                17:'-1369x756y-2200z',
                18:'-1378x118y-2318z',
                19:'-1385x2109y-958z',
                20:'-1387x673y-2216z',
                21:'-1393x193y-2304z',
                22:'-1399x591y-2231z',
                23:'-1403x270y-2290z',
                24:'-1407x509y-2246z',
                25:'-1409x349y-2276z',
                26:'-1411x429y-2261z',
                27:'-1421x2105y-914z',
                28:'-1488x2026y-983z',
                29:'-1524x2020y-939z',
                30:'-1586x1938y-1008z',
                31:'-1621x1930y-965z',
                32:'-1678x1844y-1033z',
                33:'-1703x2094y-7z',
                34:'-1714x1836y-990z',
                35:'-1765x1747y-1058z',
                36:'-1800x1736y-1015z',
                37:'-1810x2002y-34z',
                38:'-1846x1645y-1083z',
                39:'-185x1029y-2488z',
                40:'-1881x1633y-1040z',
                41:'-1912x1904y-61z',
                42:'-1921x1539y-1107z',
                43:'-1955x1526y-1065z',
                44:'-1990x1430y-1132z',
                45:'-2009x1801y-88z',
                46:'-2024x1415y-1089z',
                47:'-2052x1317y-1156z',
                48:'-2086x1302y-1114z',
                49:'-2100x1692y-115z',
                50:'-2108x1202y-1181z',
                51:'-2141x1185y-1139z',
                52:'-2158x1085y-1205z',
                53:'-2184x1579y-142z',
                54:'-2201x966y-1229z',
                55:'-2237x845y-1253z',
                56:'-2263x1462y-169z',
                57:'-2266x723y-1277z',
                58:'-2271x1106y-1206z',
                59:'-2288x600y-1301z',
                60:'-2303x477y-1324z',
                61:'-2309x108y-1394z',
                62:'-2312x353y-1348z',
                63:'-2314x230y-1371z',
                64:'-2335x1341y-196z',
                65:'-233x994y-2499z',
                66:'-238x1918y-1885z',
                67:'-2400x1216y-223z',
                68:'-2458x1088y-250z',
                69:'-2509x956y-277z',
                70:'-2553x823y-304z',
                71:'-2589x687y-330z',
                72:'-2618x550y-357z',
                73:'-2640x412y-384z',
                74:'-2654x273y-411z',
                75:'-2660x133y-437z',
                76:'-278x956y-2509z',
                77:'-285x2584y-727z',
                78:'-319x917y-2519z',
                79:'-335x1884y-1904z',
                80:'-357x875y-2528z',
                81:'-371x11y-2674z',
                82:'-392x832y-2538z',
                83:'-396x33y-2670z',
                84:'-418x2558y-753z',
                85:'-420x57y-2666z',
                86:'-423x788y-2547z',
                87:'-429x1845y-1923z',
                88:'-443x84y-2661z',
                89:'-451x743y-2556z',
                90:'-453x2565y-708z',
                91:'-464x113y-2657z',
                92:'-474x697y-2564z',
                93:'-483x145y-2652z',
                94:'-495x651y-2572z',
                95:'-499x179y-2647z',
                96:'-512x605y-2581z',
                97:'-514x215y-2641z',
                98:'-519x1802y-1942z',
                99:'-525x253y-2636z',
                100:'-525x558y-2588z',
                101:'-534x293y-2630z',
                102:'-535x512y-2596z',
                103:'-541x335y-2623z',
                104:'-541x466y-2603z',
                105:'-544x377y-2617z',
                106:'-544x421y-2610z',
                107:'-550x2525y-779z',
                108:'-585x2531y-734z',
                109:'-606x1753y-1960z',
                110:'-680x2485y-805z',
                111:'-690x1701y-1979z',
                112:'-715x2489y-760z',
                113:'-770x1645y-1997z',
                114:'-806x2439y-830z',
                115:'-80x1093y-2467z',
                116:'-842x2441y-786z',
                117:'-845x1584y-2015z',
                118:'-917x1520y-2033z',
                119:'-930x2385y-856z',
                120:'-965x2386y-812z',
                121:'-983x1453y-2051z'}



#"
#/>



# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire2700six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire2700six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE2700SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE2700SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE2700SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE2700SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE2700SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six27004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE2700SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE2700SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE2700SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six2700x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six2700x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE2700SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE2700SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE2700SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2700six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
